<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="8f7a9c65-b55a-465d-b19d-e78d799f4555" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="customMavenHome" value="E:\maven\apache-maven-3.8.1" />
        <option name="localRepository" value="E:\repository" />
        <option name="mavenHomeTypeForPersistence" value="CUSTOM" />
        <option name="userSettingsFile" value="E:\maven\apache-maven-3.8.1\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 1
}</component>
  <component name="ProjectId" id="2ud3tGuWoIRiOFyr1KRMsUswmFb" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Application.zctest.executor&quot;: &quot;Run&quot;,
    &quot;Maven.dcsoft [clean,install].executor&quot;: &quot;Run&quot;,
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;Spring Boot.DCSAuthApplication.executor&quot;: &quot;Run&quot;,
    &quot;Spring Boot.DCSGatewayApplication.executor&quot;: &quot;Run&quot;,
    &quot;Spring Boot.DCSSystemApplication.executor&quot;: &quot;Debug&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/xa-prod/xa-master-prod/dcsoft-modules/dcsoft-system/src/main/resources/mapper&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.0&quot;,
    &quot;run.configurations.included.in.services&quot;: &quot;true&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;MavenSettings&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\xa-prod\xa-master-prod\dcsoft-modules\dcsoft-system\src\main\resources\mapper" />
      <recent name="D:\xa-prod\xa-master-prod\dcsoft-modules\dcsoft-system\src\main\java\com\dcsoft\system" />
      <recent name="D:\xa-prod\xa-master-prod" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="MicronautRunConfigurationType" />
        <option value="QuarkusRunConfigurationType" />
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Application.zctest">
    <configuration name="zctest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.dcsoft.file.controller.zctest" />
      <module name="dcsoft-modules-file" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.dcsoft.file.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSAuthApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-auth" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.auth.DCSAuthApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSFileApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-modules-file" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.file.DCSFileApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSGatewayApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-gateway" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.gateway.DCSGatewayApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSGenApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-modules-gen" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.gen.DCSGenApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSJobApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-modules-job" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.job.DCSJobApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSMonitorApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-visual-monitor" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.modules.monitor.DCSMonitorApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DCSSystemApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="dcsoft-modules-system" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dcsoft.system.DCSSystemApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.zctest" />
      <item itemvalue="Spring Boot.DCSAuthApplication" />
      <item itemvalue="Spring Boot.DCSFileApplication" />
      <item itemvalue="Spring Boot.DCSGatewayApplication" />
      <item itemvalue="Spring Boot.DCSGenApplication" />
      <item itemvalue="Spring Boot.DCSJobApplication" />
      <item itemvalue="Spring Boot.DCSMonitorApplication" />
      <item itemvalue="Spring Boot.DCSSystemApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.zctest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9f38398b9061-39b83d9b5494-intellij.indexing.shared.core-IU-241.17011.79" />
        <option value="bundled-js-predefined-1d06a55b98c1-0b3e54e931b4-JavaScript-IU-241.17011.79" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8f7a9c65-b55a-465d-b19d-e78d799f4555" name="Changes" comment="" />
      <created>1742564838346</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1742564838346</updated>
      <workItem from="1742564839035" duration="7770000" />
      <workItem from="1742633923917" duration="4492000" />
      <workItem from="1743066825273" duration="267000" />
      <workItem from="1743385440324" duration="2122000" />
      <workItem from="1743400696578" duration="15000" />
      <workItem from="1743400739723" duration="2018000" />
      <workItem from="1743496680619" duration="5129000" />
      <workItem from="1743557448930" duration="4268000" />
      <workItem from="1745822866029" duration="1368000" />
      <workItem from="1745824642252" duration="1456000" />
      <workItem from="1746755296173" duration="94000" />
      <workItem from="1747980197230" duration="10000" />
      <workItem from="1747980410973" duration="4064000" />
      <workItem from="1748913705596" duration="595000" />
      <workItem from="1749031123088" duration="21000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>